#!/bin/sh

# This external fact will set something like this:
# puppet_swift_in_fstab_vdb=active
# puppet_swift_in_fstab_vdc=commented
# the first one is a normal activated fstab line
# while the second one represent a line commented-out by swift

set -e

while read LINE ; do
	if echo $LINE | grep -q '^[#]*UUID=' ; then
		MNT_PATH=$(echo $LINE | awk '{print $2}')
		if echo "${MNT_PATH}" | grep -q '^/srv/node/' ; then
			DEVNAME=$(echo $MNT_PATH | sed s+^/srv/node/++)
			if echo $LINE | grep -q '^#' ; then
				LINESTATE=commented
			else
				LINESTATE=active
			fi
			echo puppet_swift_in_fstab_$DEVNAME=$LINESTATE
		fi
	fi
done < /etc/fstab
